import Vue from 'vue'
import App from './App'
//引入vuex
import store from './store'
//引入所有工具函数
import utils from '@/utils/utils.js'

Vue.config.productionTip = false
App.mpType = 'app'

//goPageGetData中存在this需要引用当前
Vue.prototype.goPageGetData = utils.goPageGetData
Vue.prototype.$utils = utils

const app = new Vue({
	store,
	...App
})
app.$mount()
